/api/biller/partner‑list
get
Get list of partners
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
deletedstringOptionalDefault:
0partnerstringOptional
detailstringOptional
Responses
200
success
successbooleanOptionalExample:
trueget/api/biller/partner-list
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'deleted' => 1,
'partner' => 'ADULTFRIENDFINDER'
);
$request = array(
'method' => 'GET',
'path' => 'biller/partner-list',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"total_count": 1,
"partners": [
{
"billerid": "3",
"networkid": "0",
"biller": "ADULTFRIENDFINDER",
"last_poll": "1565382539",
"form_method": "0",
"deleted": "0",
"type": "1",
"last_poll_run": "0",
"permanently_deleted": "0",
"last_ip_update": "0",
"last_sync_start": "0",
"last_sync_end": "0",
"last_sync_message": "",
"accountinfo": [
{
"field": "third_acctinfo_username",
"display_name": "Affiliate ID",
"value": "",
"type": "",
"values": false,
"unique": 0,
"required": 1
},
{
"field": "third_acctinfo_password",
"display_name": "Password",
"value": "****",
"type": "password",
"values": false,
"unique": 0,
"required": 1
},
{
"field": "third_acctinfo_defaultnats",
"display_name": "Default Nats Code",
"value": "",
"type": "",
"values": false,
"unique": 0,
"required": 0
},
{
"field": "third_acctinfo_free_initials",
"display_name": "Import Free Initials?",
"value": "False",
"type": "checkbox",
"values": false,
"unique": 0,
"required": 0
},
{
"field": "third_acctinfo_all_orders",
"display_name": "Retrieve All Orders?",
"value": "False",
"type": "checkbox",
"values": false,
"unique": 0,
"required": 0
},
{
"field": "third_acctinfo_earnings",
"display_name": "Report on Earnings/Amount?",
"value": "False",
"type": "checkbox",
"values": false,
"unique": 0,
"required": 0
}
],
"nice_name": "Adult Friend Finder",
"nice_name_short": "Adult Friend Finder"
}
]
}Last updated
Was this helpful?